﻿.calcElementDiv.canContain {
    position: relative;
}

.calcElement {
    margin: 0;
    padding: 0;
}

.elementLeft {
    margin-right: auto;
}

.elementRight {
    margin-left: auto;
}

.leftFloat {
    float: left;
}

.rightFloat {
    float: right;
}

.elementCenter {
    margin-left: auto;
    margin-right: auto;
}

.allPlace {
    width: 100% !important;
    height: 100% !important;
}

#mainPanel {
    margin: 0 auto;
    position: relative;
    -ms-border-radius: 5px;
    border-radius: 5px;
}

.bottomLeft {
    position: absolute !important;
    bottom: 0;
    left: 0;
    top: auto !important;
}

.bottomRight {
    position: absolute !important;
    bottom: 0;
    right: 0;
    top: auto !important;
}

.hSlider, .hRangeSlider {
    /*max-height: 20px;
    min-height: 10px;*/
    margin-top: 10px;
    margin-bottom: 10px;
}

.vSlider, .vRangeSlider {
    margin-left: 10px;
    margin-bottom: 10px;
}

.ui-slider-horizontal {
    height: 6px !important;
}

.ui-slider-vertical {
    width: 6px !important;
}

.hSlider .ui-slider-handle, .hRangeSlider .ui-slider-handle {
    -ms-border-radius: 90px;
    border-radius: 90px;
    height: 15px;
    top: -6px;
    width: 15px;
    margin-left: -5px;
}


.vSlider .ui-slider-handle, .vRangeSlider .ui-slider-handle {
    -ms-border-radius: 90px;
    border-radius: 90px;
    height: 15px;
    width: 15px;
}

.tabDiv {
    width: 100% !important;
    height: 100% !important;
    min-height: 50px;
}

.tabs .ui-tabs-nav {
    background: none;
}

.tabs .ui-widget-content {
    background: none;
}

.tabs .ui-tabs-panel {
    padding: 0 !important;
}

.tabs {
    overflow: hidden;
}

    .tabs.ui-tabs .ui-tabs-nav .ui-tabs-anchor {
        padding: 2px;
    }

.calcElementDiv {
    overflow: hidden;
}

#parent_popup {
    background: #ffffff;
    height: 100%;
    -ms-opacity: 0.8;
    opacity: 0.8;
    position: fixed;
    width: 100%;
    z-index: 100;
    top: 0;
    left: 0;
}

#popup {
    left: 40%;
    height: 100%;
    text-align: center;
}

    #popup img {
        position: absolute;
        margin: auto;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
    }

.hidden {
    display: none;
}

.calcElementDiv[elementtype='CalcSliderHorizontal'], .calcElementDiv[elementtype='CalcRangeHorisontalSlider'] {
    padding-right: 15px;
    padding-left: 5px;
}

.calcElementDiv[elementtype='CalcSliderVertical'], .calcElementDiv[elementtype='CalcRangeVelticalSlider'] {
    padding-top: 5px;
    padding-bottom: 10px;
}

a, span {
    outline: none !important;
}

.ErrorValidation {
    border: red solid !important;
}

.AbsolutePosition {
    position: absolute !important;
}

ul.resp-tabs-list {
    margin: 0px;
    padding: 0px;
    position: relative;
}

.resp-tabs-list li {
    font-weight: 600;
    display: inline-block !important;
    padding: 13px 15px !important;
    margin: 0 !important;
    list-style: none !important;
    cursor: pointer;
    float: left !important;
    font-size: 14px;
}

.resp-tabs-container {
    padding: 0;
    background-color: #fff;
    clear: left;
    height: 100%;
}

h2.resp-accordion {
    cursor: pointer;
    padding: 5px;
    display: none;
}

.resp-tab-content {
    display: none;
}

.resp-tab-active {
    border-bottom: none;
    margin-bottom: -1px !important;
    padding: 12px 14px 14px 14px !important;
}

.resp-tab-active {
    border-bottom: none;
    background-color: #fff;
}

.resp-content-active, .resp-accordion-active {
    display: block;
}

.resp-tab-content {
    border: 1px solid #c1c1c1;
}

h2.resp-accordion {
    font-size: 13px;
    border: 1px solid #c1c1c1;
    border-top: 0px solid #c1c1c1;
    margin: 0px;
    padding: 10px 15px;
}

h2.resp-tab-active {
    border-bottom: 0px solid #c1c1c1 !important;
    margin-bottom: 0px !important;
    padding: 10px 15px !important;
}

h2.resp-tab-title:last-child {
    border-bottom: 12px solid #c1c1c1 !important;
    background: blue;
}
/*-----------Vertical tabs-----------*/
.resp-vtabs ul.resp-tabs-list {
    float: left;
    width: 30%;
}

.resp-vtabs .resp-tabs-list li {
    display: block;
    padding: 15px 15px !important;
    margin: 0;
    cursor: pointer;
    float: none;
}

.resp-vtabs .resp-tabs-container {
    padding: 0px;
    background-color: #fff;
    border: 1px solid #c1c1c1;
    float: left;
    width: 68%;
    min-height: 250px;
    border-radius: 4px;
    clear: none;
}

.resp-vtabs.resp-easy-accordion, .resp-vtabs.resp-easy-accordion .resp-tabs-container {
    width: 100% !important;
}

.resp-vtabs .resp-tab-content {
    border: none;
}

.resp-vtabs li.resp-tab-active {
    border: 1px solid #c1c1c1;
    border-right: none;
    background-color: #fff;
    position: relative;
    z-index: 1;
    margin-right: -1px !important;
    padding: 14px 15px 15px 14px !important;
}

.resp-arrow {
    width: 0;
    height: 0;
    float: right;
    margin-top: 3px;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 12px solid #c1c1c1;
}

h2.resp-tab-active span.resp-arrow {
    border: none;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-bottom: 12px solid #9B9797;
}

/*-----------Accordion styles-----------*/
h2.resp-tab-active {
    background: #DBDBDB;
}

.resp-easy-accordion h2.resp-accordion {
    display: block;
}

.resp-easy-accordion .resp-tab-content {
    border: 1px solid #c1c1c1;
}

    .resp-easy-accordion .resp-tab-content:last-child {
        border-bottom: 1px solid #c1c1c1 !important;
    }

.resp-easy-accordion .resp-tabs-list {
    display: none;
}

.resp-jfit {
    width: 100%;
    margin: 0px;
}

.resp-tab-content-active {
    display: block;
}

h2.resp-accordion:first-child {
    border-top: 1px solid #c1c1c1 !important;
}

.tabAdaptiveDiv {
    height: 100%;
}

.resp-tabs-container .resp-tab-content-active {
    display: block !important;
}

    .resp-tabs-container .resp-tab-content-active.resp-accordion-closed {
        display: none !important;
    }

.resp-tabs-container .resp-accordion-closed {
    display: none !important;
}

.resp-tabs-container .tabAdaptiveDiv {
    min-height: 50px;
}

.resp-easy-accordion .tabAdaptiveDiv {
    height: auto;
}

.resp-vtabs .resp-tabs-list .resp-tab-item {
    width: 100%;
}

.adaptivetabs .ui-tabs .ui-tabs-nav li {
    white-space: normal;
}
